from django.urls import path
from .views import (
    AddFriendCodeView,
    DeleteFriendCodeView,
    ChangeDefaultFriendCodeView,
    EditFriendCodeView,
    DashboardView,
)

urlpatterns = [
    path("friend-codes/add/", AddFriendCodeView.as_view(), name="add_friend_code"),
    path("friend-codes/edit/<int:pk>/", EditFriendCodeView.as_view(), name="edit_friend_code"),
    path("friend-codes/delete/<int:pk>/", DeleteFriendCodeView.as_view(), name="delete_friend_code"),
    path("friend-codes/default/<int:pk>/", ChangeDefaultFriendCodeView.as_view(), name="change_default_friend_code"),
    path("dashboard/", DashboardView.as_view(), name="dashboard"),
] 